#include "xgameworldsp.h"
#include "xstring.h"

XGameWorldSp::XGameWorldSp()
    : XAsset()
    , mName()
    , mPath()
{
    SetType(ASSET_TYPE_GAMEWORLD_SP);
    SetName("GameWorld SP");
}

XGameWorldSp::~XGameWorldSp()
{

}

void XGameWorldSp::ParseData(QDataStream *aStream) {
    // Parse the name string
    if (GetPtr() == -1) {
        mName.ParsePtr(aStream, false);

        mPath.ParseData(aStream);
    }
}

void XGameWorldSp::Clear()
{
    mName.Clear();
    mPath.Clear();
}
